Numpy: ImportError:numpy.core._multiarray_umathはインポートに失敗しました

作成日 2018å¹´09月03日  Â·  36コメント  Â·  ソース: numpy/numpy

こんにちは、

NumPyを必要とするパッケージ(TensorFlowなど)がたくさんありますが、numpy側のImportErrorが原因で、それらをインストールしてインポートできないようです。

これは、 pip installとソースからのビルドの両方で発生しています。

コード例の再現:

import numpy as np
import tensorflow as tf

エラーメッセージ:

ImportError: numpy.core._multiarray_umath failed to import

Numpy / Pythonのバージョン情報:

'1.16.0.dev0+cdbf35b'

最も参考になるコメント

pip install --upgrade numpy

これにより、以前のバージョンが削除され、新しいバージョンがインストールされます。これにより、発行された問題が解決しました。

全てのコメント36件

古いnumpyでも同じエラーが発生するため、これもシステムの問題である可能性があります。

私たちはあなたを助けるためにもっと多くの情報を必要としています。 import numpy as np成功し、次にimport tensorflow as tf失敗しますか? それが最初の場合は、例外に関する詳細情報があるはずです。 2番目の場合、テンソルフローはどこで取得されましたか? どのPythonを使用していますか?

こんにちは@mattip :

後者です(たとえば、 import numpyすべて問題ありませんが、TFはインポートに失敗します)。

これが完全なトレースです(私は最新のMinicondaシェルファイルを使用しています):

`` `Python 3.6.5 | Anaconda、Inc。| (デフォルト、2018年4月29日、16:14:56)
詳細については、「copyright」、「credits」、または「license」と入力してください
IPython6.5.0-拡張されたインタラクティブPython。 タイプ '?' 助けを求めて。

[1]の場合:numpyをnpとしてインポートします

[2]の場合:テンソルフローをtfとしてインポートします

ImportErrorトレースバック(最後の最後の呼び出し)

ImportError:numpy.core._multiarray_umathはインポートに失敗しました

ImportErrorトレースバック(最後の最後の呼び出し)

ImportError:numpy.core._multiarray_umathはインポートに失敗しました

ImportErrorトレースバック(最後の最後の呼び出し)

ImportError:numpy.core._multiarray_umathはインポートに失敗しました

ImportErrorトレースバック(最後の最後の呼び出し)
ImportError:numpy.core._multiarray_umathはインポートに失敗しました

[3]の場合:np .__ version__
Out [3]: '1.15.1'
`` `

ローカルのMKLにリンクしたかったので、常にソースからNumpyとScipyをビルドしてきましたが、ImportErrorを取得し始めたとき、 pip install ing numpyをいじり始めましたが、このエラーはまだあります

In [3]: np.__version__
Out[3]: '1.15.1'

奇妙なことに、 _multiarray_umathモジュールはmasterの新機能です。 そうは言っても、最近のコードの再配置が問題の根本にあるのではないかと思います。

開発numpyを使用している場合、可能であればtensorflowを再コンパイルすることをお勧めします。

また、インストールされているシステム以外のnumpyバージョンをすべて削除して、再インストールすることもできます。

ありがとう@charris ! ほぼ間違いなく、このインポートエラーの原因となるキャッシュに問題があったようです。 クリーンなDockerをビルドし、numpy(pipとbuildの両方)とTensorflow(今のところpipだけ)のインポートをテストしました。TFをインポートすると、両方のバージョンのnumpyがすべて正常にチェックアウトされました。

私は他のパッケージをインストールし続け、それが本当に悪い偶然であったかどうか、または途中で何かいたずらをしている他のパッケージがあるかどうかを報告します!

うん、物事はすべて良いです! 迅速な返信をありがとう、今すぐ締めくくります(なぜ問題が発生したのかはまだわかりませんが、少なくとも今は機能しています!)。

#10915コード再編成PRへのリンク。

こんにちは、Djangoで同じ問題に直面し(まったく同じエラーで警告)、再インストールすると、キャッシュ(pip)が機能しなくなります。 なぜこれが起こっているのか考えていますか?
ありがとう!

@ amehrdad88これはDjangoとは関係ありません。 重要なのは、Pythonをどのようにインストールしたか、およびNumPyとNumPyに依存する他のパッケージをどのようにインストールしたかです。 トレースバックを確認するか、 numpy.__file__調べて、使用していると思われるもの(たとえば、同じvirtualenv / conda envからのすべて)を使用していることを確認します。

@ amehrdad88これはDjangoとは関係ありません。 重要なのは、Pythonをどのようにインストールしたか、およびNumPyとNumPyに依存する他のパッケージをどのようにインストールしたかです。 トレースバックを確認するか、 numpy.__file__調べて、使用していると思われるもの(たとえば、同じvirtualenv / conda envからのすべて)を使用していることを確認します。

公式ウェブサイトのPythonインストーラーを使用したばかりですが、virtualenvやpipの他のすべてのものを使用したので、大きな問題は発生しないはずです。 すべてを再インストールしてみます。

@rgommersは他のパッケージの問題のようですが、わかりません。 すべてを再インストールしても同じ問題が発生したため、numpyとtensorflowのみを使用してテストvenvを作成しました。 テンソルフローのインポートは機能します。 次に、requirements.txtファイルから他のパッケージ(pipを使用)をインストールすると、テンソルフローをインポートしようとするとエラーが再び表示されます。

ロードされているパッケージの1つに、numpyに関するエラーがある可能性がありますか? テンソルフローのみをインポートした場合でも、このパッケージは読み込まれますか?

注:「FutureWarning:issubdtypeの2番目の引数のfloatからnp.floatingへの変換は非推奨です」という警告もありましたが、h5pyを更新することでなくなりました。

@ amehrdad88この問題は解決されました。 実行しているコマンドを正確に文書化し、テンソルフローをインストールした後の各ステップの後にテンソルフローをインポートしてみてください。 それでも問題がNumPyにあり、別のパッケージではないと思われる場合は、新しい問題を開き、ドキュメントを出力と一緒に添付してください。

ロードされているパッケージの1つに、numpyに関するエラーがある可能性がありますか? テンソルフローのみをインポートした場合でも、このパッケージは読み込まれますか?

いいえ、それはほとんどありません。 何が起こっているのかは、おそらくpip requirements.txt介して引き込まれているため、どういうわけかnumpyを再インストールすることです。 または、PYTHONPATHのどこかにパッケージがあります。 または。 パッケージを1つずつ調べてインポートすると、問題のあるパッケージを見つけられるはずです。また、クリーンなvirtualenvの外部から何かを取り込んでいるかどうかもわかります。

CircleCIでアプリケーションを構築するときに、この動作が発生し始めています。 シェル内:

Python 2.7.14 (default, Sep 18 2017, 00:00:00)
[GCC 4.8.4] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy as np
>>> import pandas as pd
ImportError: No module named _multiarray_umath
ImportError: No module named _multiarray_umath
ImportError: No module named _multiarray_umath
ImportError: No module named _multiarray_umath
>>> np.__file__
'/usr/local/lib/python2.7/dist-packages/numpy/__init__.pyc'
>>> pd.__file__
'/usr/local/lib/python2.7/dist-packages/pandas/__init__.pyc'

このビルドは4日前は正常に機能していましたが、requirements.txtをまったく変更せずに、ビルドが失敗します。 最近何かが変わりましたか? numpy1.14.3とpandas0.20.3を実行しています

フォローアップと同じように、 pip install最初に(別々に)numpyを実行し、次にパンダが私のためにトリックを行いました...

CircleCIでアプリケーションを構築するときに、この動作が発生し始めています。 シェル内:

Python 2.7.14 (default, Sep 18 2017, 00:00:00)
[GCC 4.8.4] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy as np
>>> import pandas as pd
ImportError: No module named _multiarray_umath
ImportError: No module named _multiarray_umath
ImportError: No module named _multiarray_umath
ImportError: No module named _multiarray_umath
>>> np.__file__
'/usr/local/lib/python2.7/dist-packages/numpy/__init__.pyc'
>>> pd.__file__
'/usr/local/lib/python2.7/dist-packages/pandas/__init__.pyc'

このビルドは4日前は正常に機能していましたが、requirements.txtをまったく変更せずに、ビルドが失敗します。 最近何かが変わりましたか? numpy1.14.3とpandas0.20.3を実行しています

私は同じ問題を抱えています、3日前にすべてがうまく機能していました。 ピクルスファイルを読み込もうとすると、突然このインポートエラーが発生します

c-extensionモジュール_multiarray_umathはnumpy 1.16.0の新機能であり、バージョンの組み合わせ、またはバージョンの期待値をどこかに示している可能性があります。 この問題はクローズされていることに注意してください。numpyに問題があると思われる場合は、何をしているかを正確に説明した新しい問題を開いてください。

ピクルスファイルを読み込もうとすると、同様の問題が発生します。

with open(fl[0], 'rb') as f:
    pickle.load(f)
ModuleNotFoundError                       Traceback (most recent call last)
<ipython-input-24-571299641ef6> in <module>
      1 with open(fl[0], 'rb') as f:
----> 2     pickle.load(f)

ModuleNotFoundError: No module named 'numpy.core._multiarray_umath'

多分これは再開されるべきです。 これが適切かどうかわからない。

pd.read_pickleを使おうとしたときにもこれを取得します:


フルトレースバック

pd.read_pickle('/path/to/a/dataframe/foo.df')
---------------------------------------------------------------------------
ImportError                               Traceback (most recent call last)
~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in try_read(path, encoding)
    165                 # We want to silencce any warnings about, e.g. moved modules.
--> 166                 return read_wrapper(lambda f: pkl.load(f))
    167         except Exception:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in read_wrapper(func)
    148         try:
--> 149             return func(f)
    150         finally:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in <lambda>(f)
    165                 # We want to silencce any warnings about, e.g. moved modules.
--> 166                 return read_wrapper(lambda f: pkl.load(f))
    167         except Exception:

ImportError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in try_read(path, encoding)
    170                 return read_wrapper(
--> 171                     lambda f: pc.load(f, encoding=encoding, compat=False))
    172             # compat pickle

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in read_wrapper(func)
    148         try:
--> 149             return func(f)
    150         finally:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in <lambda>(f)
    170                 return read_wrapper(
--> 171                     lambda f: pc.load(f, encoding=encoding, compat=False))
    172             # compat pickle

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/compat/pickle_compat.py in load(fh, encoding, compat, is_verbose)
    211 
--> 212         return up.load()
    213     except:

~/anaconda3/envs/py35/lib/python3.5/pickle.py in load(self)
   1042                 assert isinstance(key, bytes_types)
-> 1043                 dispatch[key[0]](self)
   1044         except _Stop as stopinst:

~/anaconda3/envs/py35/lib/python3.5/pickle.py in load_stack_global(self)
   1350             raise UnpicklingError("STACK_GLOBAL requires str")
-> 1351         self.append(self.find_class(module, name))
   1352     dispatch[STACK_GLOBAL[0]] = load_stack_global

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/compat/pickle_compat.py in find_class(self, module, name)
    134             module, name = _class_locations_map.get(key, key)
--> 135             return super(Unpickler, self).find_class(module, name)
    136 

~/anaconda3/envs/py35/lib/python3.5/pickle.py in find_class(self, module, name)
   1391                 module = _compat_pickle.IMPORT_MAPPING[module]
-> 1392         __import__(module, level=0)
   1393         if self.proto >= 4:

ImportError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in read_pickle(path, compression)
    176     try:
--> 177         return try_read(path)
    178     except:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in try_read(path, encoding)
    174                 return read_wrapper(
--> 175                     lambda f: pc.load(f, encoding=encoding, compat=True))
    176     try:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in read_wrapper(func)
    148         try:
--> 149             return func(f)
    150         finally:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in <lambda>(f)
    174                 return read_wrapper(
--> 175                     lambda f: pc.load(f, encoding=encoding, compat=True))
    176     try:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/compat/pickle_compat.py in load(fh, encoding, compat, is_verbose)
    211 
--> 212         return up.load()
    213     except:

~/anaconda3/envs/py35/lib/python3.5/pickle.py in load(self)
   1042                 assert isinstance(key, bytes_types)
-> 1043                 dispatch[key[0]](self)
   1044         except _Stop as stopinst:

~/anaconda3/envs/py35/lib/python3.5/pickle.py in load_stack_global(self)
   1350             raise UnpicklingError("STACK_GLOBAL requires str")
-> 1351         self.append(self.find_class(module, name))
   1352     dispatch[STACK_GLOBAL[0]] = load_stack_global

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/compat/pickle_compat.py in find_class(self, module, name)
    134             module, name = _class_locations_map.get(key, key)
--> 135             return super(Unpickler, self).find_class(module, name)
    136 

~/anaconda3/envs/py35/lib/python3.5/pickle.py in find_class(self, module, name)
   1391                 module = _compat_pickle.IMPORT_MAPPING[module]
-> 1392         __import__(module, level=0)
   1393         if self.proto >= 4:

ImportError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in try_read(path, encoding)
    165                 # We want to silencce any warnings about, e.g. moved modules.
--> 166                 return read_wrapper(lambda f: pkl.load(f))
    167         except Exception:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in read_wrapper(func)
    148         try:
--> 149             return func(f)
    150         finally:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in <lambda>(f)
    165                 # We want to silencce any warnings about, e.g. moved modules.
--> 166                 return read_wrapper(lambda f: pkl.load(f))
    167         except Exception:

ImportError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in try_read(path, encoding)
    170                 return read_wrapper(
--> 171                     lambda f: pc.load(f, encoding=encoding, compat=False))
    172             # compat pickle

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in read_wrapper(func)
    148         try:
--> 149             return func(f)
    150         finally:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in <lambda>(f)
    170                 return read_wrapper(
--> 171                     lambda f: pc.load(f, encoding=encoding, compat=False))
    172             # compat pickle

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/compat/pickle_compat.py in load(fh, encoding, compat, is_verbose)
    211 
--> 212         return up.load()
    213     except:

~/anaconda3/envs/py35/lib/python3.5/pickle.py in load(self)
   1042                 assert isinstance(key, bytes_types)
-> 1043                 dispatch[key[0]](self)
   1044         except _Stop as stopinst:

~/anaconda3/envs/py35/lib/python3.5/pickle.py in load_stack_global(self)
   1350             raise UnpicklingError("STACK_GLOBAL requires str")
-> 1351         self.append(self.find_class(module, name))
   1352     dispatch[STACK_GLOBAL[0]] = load_stack_global

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/compat/pickle_compat.py in find_class(self, module, name)
    134             module, name = _class_locations_map.get(key, key)
--> 135             return super(Unpickler, self).find_class(module, name)
    136 

~/anaconda3/envs/py35/lib/python3.5/pickle.py in find_class(self, module, name)
   1391                 module = _compat_pickle.IMPORT_MAPPING[module]
-> 1392         __import__(module, level=0)
   1393         if self.proto >= 4:

ImportError: No module named 'numpy.core._multiarray_umath'

During handling of the above exception, another exception occurred:

ImportError                               Traceback (most recent call last)
<ipython-input-44-2ad6813d006d> in <module>()
----> 1 pd.read_pickle('/Users/riley/main/build_0003/reps/lobsang/konami-api/src/app/v0/foo.df')

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in read_pickle(path, compression)
    178     except:
    179         if PY3:
--> 180             return try_read(path, encoding='latin1')
    181         raise
    182 

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in try_read(path, encoding)
    173             except:
    174                 return read_wrapper(
--> 175                     lambda f: pc.load(f, encoding=encoding, compat=True))
    176     try:
    177         return try_read(path)

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in read_wrapper(func)
    147                             is_text=False)
    148         try:
--> 149             return func(f)
    150         finally:
    151             for _f in fh:

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/io/pickle.py in <lambda>(f)
    173             except:
    174                 return read_wrapper(
--> 175                     lambda f: pc.load(f, encoding=encoding, compat=True))
    176     try:
    177         return try_read(path)

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/compat/pickle_compat.py in load(fh, encoding, compat, is_verbose)
    210         up.is_verbose = is_verbose
    211 
--> 212         return up.load()
    213     except:
    214         raise

~/anaconda3/envs/py35/lib/python3.5/pickle.py in load(self)
   1041                     raise EOFError
   1042                 assert isinstance(key, bytes_types)
-> 1043                 dispatch[key[0]](self)
   1044         except _Stop as stopinst:
   1045             return stopinst.value

~/anaconda3/envs/py35/lib/python3.5/pickle.py in load_stack_global(self)
   1349         if type(name) is not str or type(module) is not str:
   1350             raise UnpicklingError("STACK_GLOBAL requires str")
-> 1351         self.append(self.find_class(module, name))
   1352     dispatch[STACK_GLOBAL[0]] = load_stack_global
   1353 

~/anaconda3/envs/py35/lib/python3.5/site-packages/pandas/compat/pickle_compat.py in find_class(self, module, name)
    133             key = (module, name)
    134             module, name = _class_locations_map.get(key, key)
--> 135             return super(Unpickler, self).find_class(module, name)
    136 
    137 else:

~/anaconda3/envs/py35/lib/python3.5/pickle.py in find_class(self, module, name)
   1390             elif module in _compat_pickle.IMPORT_MAPPING:
   1391                 module = _compat_pickle.IMPORT_MAPPING[module]
-> 1392         __import__(module, level=0)
   1393         if self.proto >= 4:
   1394             return _getattribute(sys.modules[module], name)[0]

ImportError: No module named 'numpy.core._multiarray_umath'

@rileypetersonこれは問題#12837の複製である可能性があります。 いずれにせよ、1.16.0での酸洗いの問題は#12842で修正されています(#12869で1.16.1にバックポートされています)。 1.16.1のリリースで解決される予定です。

pip install --upgrade numpy

これにより、以前のバージョンが削除され、新しいバージョンがインストールされます。これにより、発行された問題が解決しました。

同じ問題が発生します。numpy.core._multiarray_umathをインポートできませんでした

私はついにそれを理解しました、それはnumpyバージョンが低すぎるためです、numpyを1.16.2にアップグレードしてください、そしてすべてがうまくいっています

numpyをアンインストールしてから、更新してアップグレードします

pip install -U numpy upgrade numpy on it

これはトリックをしました:)
pip install --upgrade numpy

anacondaプロンプトで:
pip uninstall numpy

それから:
pip install numpy

私のために働いた!

こんにちは、
NumPyを必要とするパッケージ(TensorFlowなど)がたくさんありますが、numpy側のImportErrorが原因で、それらをインストールしてインポートできないようです。
これは、pipのインストールとソースからのビルドの両方で発生しています。
コード例の再現:
numpyをnpとしてインポートします
tensorflowをtfとしてインポートします
エラーメッセージ:
ImportError:numpy.core._multiarray_umathはインポートに失敗しました

Numpy / Pythonのバージョン情報:
'1.16.0.dev0 + cdbf35b'

私は同じ問題に直面しました。
Theano、tensorflow、kerasをアンインストールすることで問題を解決しました。 次に、これらを次の順序でインストールします。

  1. theano
  2. テンソルフロー
  3. ケラス

numpyをアンインストールしてから、更新してアップグレードします

連れて行ってあげる!誰かが英語で質問した場合、あなたは中国語で答えます!

@ datianshi21公用語は英語です。 グーグル翻訳はあなたのコメントが「Numpyのアンインストールとアップデート」であると言います
ただあなたに仕えなさい! 他の人は英語で質問します、あなたは中国語に答えます!」
あなたはボットですか?

pip install --upgrade numpy --userは私にエラーを与えました:

mxnet-mkl 1.4.0 has requirement numpy<1.15.0,>=1.8.2, but you'll have numpy 1.16.3 which is incompatible.

mxnet-mklアンインストールした後、すべてが機能しました。

パンダをインストールしたときに動作し始めました。 理由がわからない。

https://github.com/numpy/numpy/issues/11871#issuecomment -487995082

パンダは依存関係としてnumpyをインストールします。

このページは役に立ちましたか?
0 / 5 - 0 評価